Skip to content
GET /unified/ticketing/workspaces/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

organizationobject
1 supported
Zoho Projects
supported
idstring

The unique identifier for a organization.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

created_atstring · date-time

The date and time the workspace was created

11 supported
Accelo
supported
Basecamp
supported
Bitbucket
supported
GitLab
supported
Help Scout
supported
HubSpot
supported
Microsoft 365
supported
Microsoft Planner
supported
Teamwork Project Management
supported
Zoho Desk
supported
Zoho Projects
supported
descriptionstring

The description of the workspace

6 supported
GitLab
supported
Teamwork Project Management
supported
Trello
supported
Wrike
supported
Zoho Desk
supported
Zoho Projects
supported
etagstring

The unique identifier for the specific version of the resource.

2 supported
Microsoft 365
supported
Microsoft Planner
supported
idstring

The ID of the workspace

16 supported
Accelo
supported
Basecamp
supported
Bitbucket
supported
GitLab
supported
Help Scout
supported
HubSpot
supported
Jira Service Management
supported
Microsoft 365
supported
Microsoft Planner
supported
Pivotal Tracker
supported
Planhat
supported
Teamwork Project Management
supported
Trello
supported
Wrike
supported
Zoho Desk
supported
Zoho Projects
supported
namestring

The name of the workspace

16 supported
Accelo
supported
Basecamp
supported
Bitbucket
supported
GitLab
supported
Help Scout
supported
HubSpot
supported
Jira Service Management
supported
Microsoft 365
supported
Microsoft Planner
supported
Pivotal Tracker
supported
Planhat
supported
Teamwork Project Management
supported
Trello
supported
Wrike
supported
Zoho Desk
supported
Zoho Projects
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the workspace

Possible values:
activeinactive
8 supported
Accelo
supported
Microsoft 365
supported
Microsoft Planner
supported
Teamwork Project Management
supported
Trello
supported
Wrike
supported
Zoho Desk
supported
Zoho Projects
supported
updated_atstring · date-time

The date and time the workspace was last updated

8 supported
Accelo
supported
Basecamp
supported
Bitbucket
supported
GitLab
supported
Help Scout
supported
HubSpot
supported
Teamwork Project Management
supported
Zoho Projects
supported
curl -X GET 'https://api.truto.one/unified/ticketing/workspaces/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/workspaces/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/workspaces/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'workspaces',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "workspaces",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())